/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.exceptions;

public class BadlyFormedMatchText extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private java.lang.String matchText;

    public BadlyFormedMatchText() {}

    public BadlyFormedMatchText(java.lang.String matchText) {
        this.matchText = matchText;
    }

/**
     * Gets the matchText value for this BadlyFormedMatchText.
     *
     * @return matchText
     */
public java.lang.String getMatchText() {
        return matchText;
    }

    /**
     * Sets the matchText value for this BadlyFormedMatchText.
     *
     * @param matchText
     */
    public void setMatchText(java.lang.String matchText) {
        this.matchText = matchText;
    }
}